# -*- coding: utf-8 -*-
from setuphelpers import *
import platform

# Defining variables
zip = "sqliteadmin.zip"
url_dl = "http://download.orbmu2k.de/files/sqliteadmin.zip"

def update_package():
    # Declaring local variables
    result = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    html_source = wgets('https://sqliteadmin.orbmu2k.de', proxies=proxies).splitlines()
    for line in html_source:
        if 'Download SQLite Administrator' in line:
            version = line.split(' ')[-2].replace('[','').replace(']','')

    # Downloading latest binaries
    if Version(control.version) < Version(version):
        remove_file(zip)
        wget(url_dl, zip, proxies=proxies)
    else:
        print('Already up-to-date')

    if not isfile(zip):
        print("Downloading: " + zip)
        wget(url_dl, zip, proxies=proxies)

    # Changing version of the package
    control.version = "%s-%s" % (version, int(control.version.split("-")[-1]) + 1)
    control.save_control_to_wapt()
    print("Changing version to: %s in WAPT\\control" % control.version)
